nvme_nvm_identify_ctrl(2)

NAME
nvme_nvm_identify_ctrl - Identify controller data

SYNOPSIS
int nvme_nvm_identify_ctrl (int fd , struct nvme_id_ctrl_nvm *id );

ARGUMENTS

fd  File descriptor of nvme device

id  User space destination address to transfer the data

DESCRIPTION
Return an identify controller data structure to the host of processing controller.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.